Module org.apache.sis.feature
Package org.apache.sis.coverage

# Class CannotEvaluateException

Object
Throwable
Exception
RuntimeException
CannotEvaluateException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `PointOutsideCoverageException`, `SubspaceNotSpecifiedException`

public class CannotEvaluateException extends RuntimeException
Thrown when a quantity can not be evaluated.
Upcoming API change: this class may move to GeoAPI in a future version. If that move happens, the `org​.apache​.sis​.coverage` package name would become `org​.opengis​.coverage`.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CannotEvaluateException()`
  Creates an exception with no message.
  `CannotEvaluateException(String message)`
  Creates an exception with the specified message.
  `CannotEvaluateException(String message, Throwable cause)`
  Creates an exception with the specified message.

- ## Method Summary

  ### Methods inherited from class Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CannotEvaluateException

    public CannotEvaluateException()
    Creates an exception with no message.

  - ### CannotEvaluateException

    public CannotEvaluateException(String message)
    Creates an exception with the specified message.
    Parameters:
      `message` - the detail message. The detail message is saved for later retrieval by the `Throwable​.getMessage()` method.

  - ### CannotEvaluateException

    public CannotEvaluateException(String message, Throwable cause)
    Creates an exception with the specified message.
    Parameters:
      `message` - the detail message. The detail message is saved for later retrieval by the `Throwable​.getMessage()` method.
      `cause` - the cause for this exception. The cause is saved for later retrieval by the `Throwable​.getCause()` method.